NextGEN Gallery 相册插件修复一个严重的 SQL 注入漏洞

分享本文:
4-nextgen-gallery-plugin
NextGEN Gallery 相册插件修复一个严重的 SQL 注入漏洞
3 分, 共 1

来自 Sucuri 的安全研究员 Slavco Mihajloski 发现,NextGEN Gallery 图片插件存在一个严重的 SQL 注入漏洞。日前,NextGEN Gallery 发布了 2.1.79 版本,修复了该漏洞,请使用此插件的用户及时升级到最新版本。

按照 SucuriDREAD 评分规则,Mihajloski 给这个漏洞评分为 9 分,满分10 分。分数越高,漏洞的危害也就越大。这里的 D 表示 Damage (破坏性),R 表示 Reproducibility (复现性),E 表示 Exploitability (可利用行),A 表示 Affected Users (影响多少用户),D 表示 Discoverability (可发现性)。

NextGEN Gallery 图片相册插件是最受用户欢迎的 WordPress 插件之一,当前安装该插件的网站超过 1,000,000 之多。这次发现的漏洞,主要存在于 2.1.77 以及之前的版本中。5天前,该插件发布了 2.1.79 漏洞修复版本。

立即下载最新版 NextGEN Gallery 插件

如果你的网站属于以下两种网站之一,那么你的网站尤其危险,我们强烈建议你马上升级:

  • 使用了 NextGEN 基本标签云相册(NextGEN basic tagcloud gallery)功能;
  • 允许用户提交文章以被审查的网站(allow users to submit post to be reviewed)的网站。

Mihajloski 说:「这个漏洞允许未授权的用户从受害者的数据库中抓取数据,包括用户的敏感信息。」

「引发这个问题的主要原因是,NextGEN Gallery 允许不适当的用户输入 WordPress 预处理 SQL 查询,基本上等同于允许用户插入原始 SQL 查询。利用这个漏洞,攻击者能够得到哈希后的密码和WordPress安全密钥(hashed password and WordPress secret keys)。」

虽然 2.1.79 版本给漏洞打了补丁,但是插件的修改日志并未提及漏洞修复之事。对此,NextGEN Gallery 插件的作者 Erick Danzer 在 Twitter 上做了解释

「我们希望在引起注意前进行更新。我们将在以后的版本发布中更新修改日志的准确性。」

无论如何,WordPress中文网强烈建议 NextGEN Gallery 插件用户及时将此插件升级到最新版本。

NextGEN Gallery 相册插件修复一个严重的 SQL 注入漏洞
3 分, 共 1
分享本文:


发表一下评论

电子邮件地址不会被公开。 必填项已用*标注